### Class method

# Gtk WidgetClassset_template_from_resource

#### Declaration [src]

    void
    gtk_widget_class_set_template_from_resource (
      GtkWidgetClass* widget_class,
      const char* resource_name
    )

#### Description [src]

A convenience function that calls `gtk_widget_class_set_template()` with the contents of a `GResource`.

Note that any class that installs templates must call `gtk_widget_init_template()` in the widget’s instance initializer.

#### Parameters

`resource_name`

  Type: `const char*`

  The name of the resource to load the template from.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.